Package com.smartgwt.client.widgets.calendar

# Class CellHoverCustomizer

java.lang.Object
com.smartgwt.client.widgets.calendar.CellHoverCustomizer

public abstract class CellHoverCustomizer extends Object
Called to determine the hover text for a given cell in a CalendarView

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CellHoverCustomizer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Calendar`
  `getCalendar()`
  Returns the Calendar over which the hover occurred
  `abstract String`
  `getHoverHTML(ListGridRecord record, int rowNum, int colNum, Date date, String defaultValue, CalendarView view)`
  getHoverHTML() should be implemented and return the string of HTML to display in the hover for a given cell in a CalendarView
  `void`
  `setCalendar(Calendar calendar)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CellHoverCustomizer

    public CellHoverCustomizer()

- ## Method Details

  - ### setCalendar

    public void setCalendar(Calendar calendar)

  - ### getCalendar

    public Calendar getCalendar()
    Returns the Calendar over which the hover occurred
    Returns:
      Calendar over which the hover occurred

  - ### getHoverHTML

    public abstract String getHoverHTML(ListGridRecord record, int rowNum, int colNum, Date date, String defaultValue, CalendarView view)
    getHoverHTML() should be implemented and return the string of HTML to display in the hover for a given cell in a CalendarView
    Parameters:
      `record` - ListGridRecord the record at the passed rowNum
      `rowNum` - Integer the row index of the cell being hovered
      `calNum` - Integer the column index of the cell being hovered
      `date` - Date the snap date at the mouse pointer
      `defaultValue` - String the default hover HTML
      `calendarView` - CalendarView a reference to the calendarView containing the hover
    Returns:
      String The formatted hover text for the values passed in